# Version
%global major 7
%global minor 1
%global patchlevel 0

# Revision
%global revnum 5
# set to 1 for hg snapshots, 0 for release
%global usesnapshot 1

# SNAPSHOT version
%global hgrevhash 37a493c3f60b
%global hgrevdate 20191112

%global tarball_name jmc-%{hgrevhash}

%if %{usesnapshot}
  %global releasestr %{revnum}.%{hgrevdate}hg%{hgrevhash}
%else
  %global releasestr %{revnum}
%endif

Name:     jmc-core
Version:  %{major}.%{minor}.%{patchlevel}
Release:  %{releasestr}%{?dist}
Summary:  Core API for JDK Mission Control

License:  UPL
URL:      http://openjdk.java.net/projects/jmc/

Source0:    https://hg.openjdk.java.net/jmc/jmc/archive/%{hgrevhash}.tar.gz

BuildArch:  noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.owasp.encoder:encoder)

# maven requires generator will add Require for runtime dependency
#   on mvn(org.owasp.encoder:encoder)

%description
JDK Mission Control is an advanced set of tools that enables efficient and
detailed analysis of the extensive data collected by Flight Recorder. The
tool chain enables developers and administrators to collect and analyze data
from Java applications running locally or deployed in production environments.

%package javadoc
Summary:  Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{tarball_name}/core
cp ../license/* ./
cp ../README.md ./

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_plugin :jacoco-maven-plugin tests
%pom_disable_module coverage

# don't install test packages
%mvn_package org.openjdk.jmc:missioncontrol.core.tests __noinstall
%mvn_package org.openjdk.jmc:flightrecorder.test __noinstall
%mvn_package org.openjdk.jmc:flightrecorder.rules.test __noinstall
%mvn_package org.openjdk.jmc:flightrecorder.rules.jdk.test __noinstall

%build
# some tests require large heap and fail with OOM
# depending on the builder resources
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%license THIRDPARTYREADME.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt
%license THIRDPARTYREADME.txt
%doc README.md

%changelog
* Mon Nov 25 2019 Jie Kang <jkang@redhat.com> - 7.1.0-5.20191112hg37a493c3f60b
- Update to latest upstream version

* Fri Oct 04 2019 Jie Kang <jkang@redhat.com> - 7.1.0-3.20190926hgceedb367dc18
- Disable coverage module

* Fri Oct 04 2019 Jie Kang <jkang@redhat.com> - 7.1.0-3.20190926hgceedb367dc18
- Remove usage of jacoco-maven-plugin

* Thu Oct 03 2019 Jie Kang <jkang@redhat.com> - 7.1.0-2.20190926hgceedb367dc18
- Update to latest upstream version

* Tue Aug 13 2019 Jie Kang <jkang@redhat.com> - 7.1.0-1.20190524hg4c9efa5eb5b8
- Remove maven-javadoc-plugin

* Fri May 24 2019 Salman Siddiqui <sasiddiq@redhat.com> - 7.1.0-0.20190524hg4c9efa5eb5b8
- Bug #1704859: exclude test packages
- Update to latest snapshot version

* Mon Mar 11 2019 Salman Siddiqui <sasiddiq@redhat.com> - 7.1.0-0.20190304hg8115549a88aa
- Update to latest snapshot version

* Tue Feb 26 2019 Salman Siddiqui <sasiddiq@redhat.com> - 7.1.0-0.20190222hg3f653cf49069
- Update to version 7.1.0

* Mon Jan 21 2019 Jie Kang <jkang@redhat.com> - 7.0.0-2.20181130hg1ddf3baa4e26
- Update name to JDK Mission Control and Flight Recorder

* Fri Dec 21 2018 Jie Kang <jkang@redhat.com> - 7.0.0-1.20181130hg1ddf3baa4e26
- Update version to match jmc package
- Use tarball from URL instead of script

* Fri Nov 23 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1.20181122hg9aa7085f938b
- Update to latest SNAPSHOT

* Fri Sep 14 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1
- Initial packaging
